/* C file generated for /home/bruxelles/diaz/GNU-Prolog/src/BipsFD/fd_values_fd.fd */

#include "fd_to_c.h"

	/*----------------------------*/
	/* User constraint: fd_domain */
	/*----------------------------*/


	/* Bloc #1 */

fd_begin_internal(fd_domain_bloc_1)

   fd_local_fdv_adr
   fd_local_value_var(intL)
   fd_local_value_var(intU)

   fd_load_int(intL,1)
   fd_load_int(intU,2)
   fd_tell_interval(0,intL,intU)
 fd_exit_point
   fd_return

fd_end_internal


	/* Entry point for fd_domain */

fd_begin_user_constraint(fd_domain(FdArg(X),FdArg(L),FdArg(U)))

   fd_create_a_frame(3)
   fd_fdv_in_a_frame(X,0)
   fd_int_in_a_frame(L,1)
   fd_int_in_a_frame(U,2)

   fd_before_add_constraint
   fd_call_internal(fd_domain_bloc_1)
   fd_after_add_constraint
 fd_exit_point
   fd_return

fd_end_user_constraint


	/*------------------------------*/
	/* User constraint: fd_domain_r */
	/*------------------------------*/


	/* Bloc #1 */

fd_begin_internal(fd_domain_r_bloc_1)

   fd_local_fdv_adr
   fd_local_range_var(0)
   fd_local_range_var(1)

   fd_allocate
   fd_load_range(1,1)
   fd_range_copy(0,1)
   fd_deallocate
   fd_tell_range(0,0)
 fd_exit_point
   fd_return

fd_end_internal


	/* Entry point for fd_domain_r */

fd_begin_user_constraint(fd_domain_r(FdArg(X),FdArg(R)))

   fd_create_a_frame(2)
   fd_fdv_in_a_frame(X,0)
   fd_range_in_a_frame(R,1)

   fd_before_add_constraint
   fd_call_internal(fd_domain_r_bloc_1)
   fd_after_add_constraint
 fd_exit_point
   fd_return

fd_end_user_constraint

